clang-tools 8.0.0

Classes | Namespaces | Functions
Compiler.h File Reference
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Frontend/CompilerInvocation.h"`
`#include "clang/Frontend/PrecompiledPreamble.h"`
Include dependency graph for Compiler.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::clangd::IgnoreDiagnostics

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
std::unique_ptr< CompilerInstance > | clang::clangd::prepareCompilerInstance (std::unique_ptr< clang::CompilerInvocation >, const PrecompiledPreamble *, std::unique_ptr< llvm::MemoryBuffer > MainFile, std::shared_ptr< PCHContainerOperations >, IntrusiveRefCntPtr< llvm::vfs::FileSystem >, DiagnosticConsumer &)
| Creates a compiler instance, configured so that: More...